Skip to main content
POST
/
api
/
ai
/
knowledges
/
{id}
/
bulk
cURL
curl --request POST \
  --url https://api.example.com/api/ai/knowledges/{id}/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "createdAt": "2018-11-21T06:20:32.232Z",
    "updatedAt": "2018-11-21T06:20:32.232Z",
    "disabled": true,
    "storageFileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "parserConfig": {
      "chunkSize": 1000,
      "chunkOverlap": 100,
      "delimiter": "; , ."
    },
    "pages": [
      {
        "createdAt": "2018-11-21T06:20:32.232Z",
        "updatedAt": "2018-11-21T06:20:32.232Z",
        "id": "<string>",
        "createdById": "<string>",
        "updatedById": "<string>",
        "pageContent": "<string>",
        "metadata": {},
        "status": "<string>"
      }
    ],
    "chunks": [
      {
        "createdAt": "2018-11-21T06:20:32.232Z",
        "updatedAt": "2018-11-21T06:20:32.232Z",
        "id": "<string>",
        "createdById": "<string>",
        "updatedById": "<string>",
        "pageContent": "<string>",
        "metadata": {},
        "status": "<string>",
        "parent": "<unknown>"
      }
    ],
    "id": "<string>",
    "createdById": "<string>",
    "updatedById": "<string>",
    "sourceConfig": {},
    "category": "text",
    "type": "<string>",
    "thumbnail": "<string>",
    "parserId": "<string>",
    "name": "<string>",
    "filePath": "<string>",
    "fileUrl": "<string>",
    "folder": "<string>",
    "size": 123,
    "mimeType": "<string>",
    "tokenNum": 123,
    "chunkNum": 123,
    "progress": 123,
    "processMsg": "<string>",
    "processBeginAt": "2023-11-07T05:31:56Z",
    "processDuation": 123,
    "status": "waiting",
    "jobId": "<string>",
    "options": {},
    "metadata": {},
    "draft": {},
    "parent": "<unknown>"
  }
]
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json

Knowledge documents

createdAt
string<date-time>
required
Example:

"2018-11-21T06:20:32.232Z"

updatedAt
string<date-time>
required
Example:

"2018-11-21T06:20:32.232Z"

disabled
boolean
required
storageFileId
string<uuid>
required

Storage file ID

parserConfig
object
required

Parser Config

Example:
{
"chunkSize": 1000,
"chunkOverlap": 100,
"delimiter": "; , ."
}
pages
object[]
required
chunks
object[]
required
id
string
createdById
string
updatedById
string
sourceConfig
object
category
enum<string>

Category of the document

Available options:
text,
image,
audio,
video,
sheet,
other
type
string

Type of the file

thumbnail
string
parserId
string
name
string
filePath
string
fileUrl
string
folder
string
size
number
mimeType
string
tokenNum
number
chunkNum
number
progress
number
processMsg
string
processBeginAt
string<date-time>
processDuation
number
status
enum<string>

Status of the document process

Available options:
waiting,
validate,
running,
transformed,
splitted,
understood,
embedding,
cancel,
finish,
error
jobId
string
options
object
metadata
object
draft
object
parent
any

Parent document

Response

201 - undefined